<?php


namespace ModulesGarden\ProxmoxAddon\App\Models;


use ModulesGarden\ProxmoxAddon\Core\Models\ExtendedEloquentModel;

/**
 * @deprecated
 */
class PrivateInterface extends ExtendedEloquentModel
{

    /** @var string */
    protected $table = 'PrivateInterfaces';
    protected $fillable = [ 'hosting_id','network_id', 'vm_id','ip_id', 'ip', 'net',
    ];

    public function scopeOfHostingId($query, $hostingId)
    {
        return $query->where("hosting_id", $hostingId);
    }

    public function scopeOfNetworkId($query, $networkId)
    {
        return $query->where("network_id", $networkId);
    }
}